javax.xml.ws

## Interface AsyncHandler<T>

-     public interface AsyncHandler<T>

  The `AsyncHandler` interface is implemented by clients that wish to receive callback notification of the completion of service endpoint operations invoked asynchronously.
  Since:
    JAX-WS 2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleResponse(Response<T> res)` Called when the response to an asynchronous operation is available.

- - ### Method Detail

    - #### handleResponse

          void handleResponse(Response<T> res)

      Called when the response to an asynchronous operation is available.
      Parameters:
        `res` - The response to the operation invocation.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.